namespace Hive.Unity.Editor
{
    using System.Collections.Generic;
    using System.IO;
    using System.Xml;
    using System.ComponentModel;
    #if UNITY_EDITOR
    using UnityEditor;
    #endif
    using UnityEngine;

    class HiveConfigXmlData
    {
        internal HiveConfigXML Xml;

        internal HiveConfigXmlData(int platform)
        {
            switch (platform) {
                case 0:
                    this.Xml = HiveConfigXML.Android;
                break;
                case 1:
                    this.Xml = HiveConfigXML.iOS;
                break;
                case 2:
                    this.Xml = HiveConfigXML.macOS;
                break;
                case 3:
                    this.Xml = HiveConfigXML.Windows;
                break;
            }
        }

        internal bool autoValidation;
    }

}